List notice response sender options
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 88,
"type": "creditor_profile",
"name": "Target Capital",
"address": "789 Unique Street",
"city": "Chicago",
"state": "IL",
"zip": "60601"
}
]
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "Cannot change creditor profile unless notice response is pending delivery."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}List notice response sender options
Search eligible creditor profiles and active companies for reassigning a pending-delivery notice response currently sent by a creditor profile.
GET
/
manage-creditor-profiles
/
{creditorProfile}
/
notice-responses
/
{noticeResponse}
/
sender-options
List notice response sender options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Current creditor profile ID from the notice response sender.
Notice response ID from the creditor profile notice responses table.
Query Parameters
Search by name, address, city, state, or zip. Blank search returns an empty list.
Maximum string length:
255Response
Sender options returned.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

